sdb -d root on
sdb -d shell mount -o remount, rw /

echo -e "\n\n----- Install GL DDK -----"
tmpdir="/tmp/pkg"
sdb -d shell mkdir -p $tmpdir
sdb -d push gl-ddk/pkg/*.rpm $tmpdir
sdb -d shell rpm -e --nodeps coregl
sdb -d shell rpm -e --nodeps libwayland-drm
sdb -d shell rpm -e --nodeps libwayland-egl
sdb -d shell rpm -e --nodeps libtpl-egl
sdb -d shell rpm -e --nodeps opengl-es-mali-utgard
sdb -d shell rpm -e --nodeps opengl-es-virtual-drv
sdb -d shell rpm -e --nodeps mesa-libglapi
sdb -d shell rpm -e --nodeps mesa
sdb -d shell rpm -e --nodeps mesa-libEGL
sdb -d shell rpm -e --nodeps mesa-libGLESv2
sdb -d shell rpm -Uvh --force $tmpdir/*.rpm
sdb -d push gl-ddk/conf/99-GPU-Acceleration.rules /etc/udev/rules.d/
sdb -d shell sync

echo -e "\n\n-----    Cleanup    -----\n"
sdb -d shell rm -rf $tmpdir

echo -e "\n\n----- Sync & Reboot -----\n"
sdb -d shell sync
sdb -d shell reboot -f
